org.eclipse.january.dataset

## Class DateDatasetImpl

- java.lang.Object
- - org.eclipse.january.dataset.LazyDatasetBase
  - - org.eclipse.january.dataset.AbstractDataset
    - - org.eclipse.january.dataset.StringDatasetBase
      - - org.eclipse.january.dataset.StringDataset
        - - org.eclipse.january.dataset.DateDatasetImpl

- All Implemented Interfaces:
    Serializable, Dataset, DateDataset, IDataset, ILazyDataset, IMetadataProvider, INameable

      public class DateDatasetImpl
      extends StringDataset
      implements DateDataset

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.january.dataset.StringDatasetBase

      `data`

    - ### Fields inherited from class org.eclipse.january.dataset.AbstractDataset

      `base, BLOCK_CLOSE, BLOCK_OPEN, odata, offset, size, stride, stringFormat`

    - ### Fields inherited from class org.eclipse.january.dataset.LazyDatasetBase

      `catchExceptions, logger, metadata, name, shape`

    - ### Fields inherited from interface org.eclipse.january.dataset.Dataset

      `ARRAYFLOAT32, ARRAYFLOAT64, ARRAYINT16, ARRAYINT32, ARRAYINT64, ARRAYINT8, ARRAYMUL, BOOL, COMPLEX, COMPLEX128, COMPLEX64, DATE, FLOAT, FLOAT32, FLOAT64, INT, INT16, INT32, INT64, INT8, OBJECT, RGB, STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getDate()` Get the first date.
    `Date` | `getDate(int... pos)` Get the date at given indices
    `Date` | `getDate(int i)` Get the date at index i.
    `Date` | `getDate(int i, int j)` Get the date at index i, j.
    `Date` | `getDateAbs(int index)` Get the date at the given absolute index.
    `int` | `getDType()`
    `void` | `set(Object obj)` Set the value given by object at the first position.
    `void` | `set(Object obj, int... pos)` Set the value given by object at given position
    `void` | `set(Object obj, int i)` Set the value given by object at given position.
    `void` | `set(Object obj, int i, int j)` Set the value given by object at given position.
    `void` | `setAbs(int index, Date date)`
    `void` | `setItem(Date value)`
    `void` | `setItem(Date value, int... pos)`
    `void` | `setItem(Date value, int i)`
    `void` | `setItem(Date value, int i, int j)`
    `void` | `setItemDirect(int dindex, int sindex, Object src)` Set item from compatible dataset in a direct and speedy way.
    `StringDatasetBase` | `sort(Integer axis)` In-place sort of dataset

    - ### Methods inherited from class org.eclipse.january.dataset.StringDataset

      `clone, containsInfs, containsNans, getBoolean, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getByte, getDouble, getDouble, getDouble, getDouble, getElementBooleanAbs, getElementDoubleAbs, getElementLongAbs, getFloat, getFloat, getFloat, getFloat, getInt, getInt, getInt, getLong, getLong, getLong, getLong, getShort, getShort, getShort, getShort, getSlice, getStringAbs, getView, iadd, idivide, ifloor, imultiply, ipower, iremainder, isubtract, residual`

    - ### Methods inherited from class org.eclipse.january.dataset.StringDatasetBase

      `containsInvalidNumbers, copyItemsFromAxes, createArray, equals, fill, fillDataset, get, get, get, get, getAbs, getBufferLength, getData, getInt, getObject, getObject, getObject, getObject, getObjectAbs, getString, getString, getString, getString, getUniqueItems, hashCode, maxPos, minPos, residual, resize, setAbs, setBy1DIndex, setByBoolean, setByIndexes, setData, setItem, setItem, setItem, setItem, setItemsOnAxes, setObjectAbs, setSlice`

    - ### Methods inherited from class org.eclipse.january.dataset.AbstractDataset

      `all, all, any, any, argMax, argMax, argMin, argMin, calcSteps, cast, cast, cast, checkAxis, checkAxis, checkCompatibility, copy, copy, copyToView, count, count, count, createStrides, createStrides, createStrides, createStrides, fillData, flatten, get1DIndex, get1DIndex, get1DIndex, get1DIndexFromShape, get1DIndexFromShape, getBooleanIterator, getBooleanIterator, getBroadcastView, getBuffer, getBy1DIndex, getByBoolean, getByIndexes, getElementClass, getElementsPerItem, getError, getError, getError, getError, getErrorArray, getErrorArray, getErrorArray, getErrorBuffer, getErrors, getFirst1DIndex, getIndices, getInternalSquaredError, getItemBytes, getIterator, getIterator, getMaxLineLength, getNbytes, getNDPosition, getOffset, getPositionIterator, getRank, getRealPart, getRealView, getShape, getShapeRef, getSize, getSlice, getSlice, getSlice, getSlice, getSlice, getSlice, getSliceIterator, getSliceIterator, getSliceIteratorFromAxes, getSliceView, getSliceView, getSliceView, getStats, getStrides, getStringStats, getTransposedView, hasFloatingPointElements, ifloorDivide, isCompatibleWith, isComplex, max, max, max, mean, mean, mean, min, min, min, overrideInternal, peakToPeak, peakToPeak, peakToPeak, product, product, product, reshape, residual, rootMeanSquare, rootMeanSquare, rootMeanSquare, setErrorBuffer, setMaxLineLength, setShape, setSlice, setSlice, setSlice, setStringFormat, squeeze, squeeze, squeezeEnds, stdDeviation, stdDeviation, stdDeviation, stdDeviation, stdDeviation, stdDeviation, sum, sum, sum, swapAxes, synchronizedCopy, toString, toString, transpose, variance, variance, variance, variance, variance, variance`

    - ### Methods inherited from class org.eclipse.january.dataset.LazyDatasetBase

      `addMetadata, checkPermutatedAxes, clearMetadata, copyMetadata, copyMetadata, createFromSerializable, dirtyMetadata, findMetadataTypeSubInterfaces, getErrorMetadata, getFirstMetadata, getMetadata, getMetadata, getMetadataMap, getName, hasErrors, reshapeMetadata, restoreMetadata, setDirty, setErrors, setMetadata, setName, sliceMetadata, transposeMetadata`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.january.dataset.Dataset

      `all, all, any, any, argMax, argMax, argMin, argMin, cast, cast, cast, checkAxis, checkCompatibility, clone, containsInfs, containsInvalidNumbers, containsNans, copy, copy, copyItemsFromAxes, count, count, count, fill, fillDataset, flatten, get1DIndex, getBoolean, getBoolean, getBoolean, getBooleanIterator, getBooleanIterator, getBroadcastView, getBuffer, getBy1DIndex, getByBoolean, getByIndexes, getByte, getByte, getByte, getDouble, getDouble, getDouble, getElementBooleanAbs, getElementDoubleAbs, getElementLongAbs, getError, getError, getError, getErrorArray, getErrorArray, getErrorBuffer, getErrors, getFloat, getFloat, getFloat, getIndices, getInt, getInt, getInt, getIterator, getIterator, getLong, getLong, getLong, getNbytes, getNDPosition, getObject, getObject, getObject, getObjectAbs, getOffset, getPositionIterator, getRealPart, getRealView, getShapeRef, getShort, getShort, getShort, getSlice, getSlice, getSlice, getSlice, getSlice, getSlice, getSliceIterator, getSliceIterator, getSliceIteratorFromAxes, getSliceView, getSliceView, getSliceView, getStrides, getString, getString, getString, getStringAbs, getTransposedView, getUniqueItems, getView, hasFloatingPointElements, iadd, idivide, ifloor, ifloorDivide, imultiply, ipower, iremainder, isCompatibleWith, isComplex, isubtract, max, max, mean, mean, min, min, overrideInternal, peakToPeak, peakToPeak, peakToPeak, product, product, product, reshape, residual, residual, residual, rootMeanSquare, rootMeanSquare, rootMeanSquare, setBy1DIndex, setByBoolean, setByIndexes, setDirty, setErrorBuffer, setItemsOnAxes, setObjectAbs, setSlice, setSlice, setSlice, setSlice, squeeze, squeeze, squeezeEnds, stdDeviation, stdDeviation, stdDeviation, stdDeviation, stdDeviation, stdDeviation, sum, sum, sum, swapAxes, synchronizedCopy, toString, transpose, variance, variance, variance, variance, variance, variance`

    - ### Methods inherited from interface org.eclipse.january.dataset.IDataset

      `getBoolean, getByte, getDouble, getError, getErrorArray, getFloat, getInt, getItemBytes, getLong, getMetadata, getObject, getShort, getString, max, maxPos, mean, min, minPos, resize, setStringFormat`

    - ### Methods inherited from interface org.eclipse.january.dataset.ILazyDataset

      `addMetadata, clearMetadata, getElementClass, getElementsPerItem, getRank, getShape, getSize, hasErrors, setErrors, setMetadata, setShape`

    - ### Methods inherited from interface org.eclipse.january.dataset.IMetadataProvider

      `getFirstMetadata, getMetadata`

    - ### Methods inherited from interface org.eclipse.january.INameable

      `getName, setName`

- - ### Method Detail

    - #### getDType

          public int getDType()

      Specified by:
        `getDType` in interface `Dataset`
      Overrides:
        `getDType` in class `StringDatasetBase`
      Returns:
        type of dataset item

    - #### getDate

          public Date getDate()

      Description copied from interface: `DateDataset`
      Get the first date. The dataset must not be null
      Specified by:
        `getDate` in interface `DateDataset`
      Returns:
        date

    - #### getDate

          public Date getDate(int i)

      Description copied from interface: `DateDataset`
      Get the date at index i. The dataset must be 1D
      Specified by:
        `getDate` in interface `DateDataset`
      Returns:
        date

    - #### getDate

          public Date getDate(int i,
                     int j)

      Description copied from interface: `DateDataset`
      Get the date at index i, j. The dataset must be 2D
      Specified by:
        `getDate` in interface `DateDataset`
      Returns:
        date

    - #### getDate

          public Date getDate(int... pos)

      Description copied from interface: `DateDataset`
      Get the date at given indices
      Specified by:
        `getDate` in interface `DateDataset`
      Parameters:
        `pos` - indices
      Returns:
        date

    - #### getDateAbs

          public Date getDateAbs(int index)

      Description copied from interface: `DateDataset`
      Get the date at the given absolute index. See warning for `Dataset` interface.
      Specified by:
        `getDateAbs` in interface `DateDataset`
      Returns:
        date

    - #### setItemDirect

          public void setItemDirect(int dindex,
                           int sindex,
                           Object src)

      Description copied from class: `AbstractDataset`
      Set item from compatible dataset in a direct and speedy way. Remember to setDirty afterwards.
      Overrides:
        `setItemDirect` in class `StringDatasetBase`
        `src` - is the source data buffer

    - #### setAbs

          public void setAbs(int index,
                    Date date)

    - #### setItem

          public void setItem(Date value)

      Since:
        2.0

    - #### setItem

          public void setItem(Date value,
                     int i)

    - #### setItem

          public void setItem(Date value,
                     int i,
                     int j)

    - #### setItem

          public void setItem(Date value,
                     int... pos)

    - #### set

          public void set(Object obj)

      Description copied from interface: `Dataset`
      Set the value given by object at the first position. The dataset must not be null
      Specified by:
        `set` in interface `Dataset`
      Overrides:
        `set` in class `StringDatasetBase`

    - #### set

          public void set(Object obj,
                 int i)

      Description copied from interface: `Dataset`
      Set the value given by object at given position. The dataset must be 1D
      Specified by:
        `set` in interface `Dataset`
      Overrides:
        `set` in class `StringDatasetBase`

    - #### set

          public void set(Object obj,
                 int i,
                 int j)

      Description copied from interface: `Dataset`
      Set the value given by object at given position. The dataset must be 2D
      Specified by:
        `set` in interface `Dataset`
      Overrides:
        `set` in class `StringDatasetBase`

    - #### set

          public void set(Object obj,
                 int... pos)

      Description copied from interface: `IDataset`
      Set the value given by object at given position
      Specified by:
        `set` in interface `IDataset`
      Overrides:
        `set` in class `StringDatasetBase`

    - #### sort

          public StringDatasetBase sort(Integer axis)

      Description copied from interface: `Dataset`
      In-place sort of dataset
      Specified by:
        `sort` in interface `Dataset`
      Overrides:
        `sort` in class `StringDatasetBase`
      Parameters:
        `axis` - to sort along. If null, then the flattened view is sorted
      Returns:
        sorted dataset

Copyright © 2014–2019 Eclipse Foundation. All rights reserved.